# wait: do not support wx 2.8 :(
# TODO: split into more backends
# Move mpl-data to share?

%define oname matplotlib
Name: python-module-%oname
Version: 0.90.0
Release: alt1

Summary: Matlab(TM) style python plotting package

License: see LICENSE
Group: Development/Python
Url: http://matplotlib.sourceforge.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%oname/%oname-%version.tar.bz2

%setup_python_module pylab

# Automatically added by buildreq on Sun Feb 25 2007
BuildRequires: gcc-c++ libgtk+2-devel python-module-ctypes python-module-dateutil python-module-Numeric-devel python-module-numpy python-module-pygtk-devel python-module-pytz python-modules-curses python-modules-encodings python-modules-tkinter tcl

# hack for unknown deps
%add_python_req_skip AppKit Foundation PyObjCTools numarray paint _Py
Provides: python%__python_version(backend_agg)
#%py_package_provides backend_agg

%description
matplotlib is a pure python 2D plotting library with a Matlab(TM)
syntax which produces publication quality figures using in a
variety of hardcopy formats (PNG, JPG, TIFF, PS) and interactive
GUI environments (WX, GTK) across platforms. matplotlib can be used
in python scripts, interactively from the python shell (ala matlab
or mathematica), in web application servers generating dynamic
charts, or embedded in GTK or WX applications; see backends.


%package examples
Summary: Example files for %oname
Group: Development/Python
Requires: %name = %version-%release

%description examples
Example files for %oname.

%package fltk
Summary: fltk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description fltk
fltk backend for %oname.

%package qt4
Summary: qt4 backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description qt4
qt4 backend for %oname.

%package qt
Summary: qt backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description qt
qt backend for %oname.

%package gtk
Summary: gtk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description gtk
gtk backend for %oname.

%package wx
Summary: wx backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description wx
ex backend for %oname.

%package tk
Summary: tk backend for %oname
Group: Development/Python
Requires: %name = %version-%release

%description tk
tk backend for %oname.

%prep
%setup -q -n %oname-%version

%build
# disable wx build
%__subst "s|^BUILD_WXAGG.*|BUILD_WXAGG = 0|g" setup.py
%__subst "s|^BUILD_TKAGG.*|BUILD_TKAGG = 0|g" setup.py
%__python setup.py build

%install
%__python setup.py install --root %buildroot

# Use gtk by default
%__subst "s|WXAgg|GTKAgg|g" %buildroot%python_sitelibdir/matplotlib/mpl-data/matplotlibrc

# disable wx (where is bug with deleting?)
rm -f %python_sitelibdir/matplotlib/backends/backend_wx*

# remove due undersirable requires
#rm -f %python_sitelibdir/matplotlib/backends/backend_qt4* %python_sitelibdir/matplotlib/backends/backend_tkagg*

# TODO: breaks something?
# matplotlib can use system fonts, so drop these copies (thanks, PLD)
#rm -f %buildroot%python_sitelibdir/matplotlib/mpl-data/Vera*.ttf

%files
%doc README license/
%doc API_CHANGES CHANGELOG INSTALL INTERACTIVE KNOWN_BUGS NUMARRAY_ISSUES TODO
#%python_sitelibdir/dateutil/
%python_sitelibdir/*.py*
%dir %python_sitelibdir/matplotlib/
%python_sitelibdir/matplotlib/*.py*
%python_sitelibdir/matplotlib/*.so
%dir %python_sitelibdir/matplotlib/backends/__init__.*
%python_sitelibdir/matplotlib/numerix/
%python_sitelibdir/matplotlib/toolkits/
%python_sitelibdir/matplotlib/mpl-data/
%python_sitelibdir/matplotlib/enthought/
%dir %python_sitelibdir/matplotlib/backends/
%python_sitelibdir/matplotlib/backends/backend_agg*
%python_sitelibdir/matplotlib/backends/*_agg.so
%python_sitelibdir/matplotlib/backends/backend_template*
%python_sitelibdir/matplotlib/backends/backend_paint*
%python_sitelibdir/matplotlib/backends/backend_svg*
%python_sitelibdir/matplotlib/backends/backend_gd.py*
%python_sitelibdir/matplotlib/backends/backend_pdf*
%python_sitelibdir/matplotlib/backends/backend_ps*
%python_sitelibdir/matplotlib/backends/backend_cairo*
%python_sitelibdir/matplotlib/backends/backend_emf*
%python_sitelibdir/matplotlib/backends/backend_cocoa*

%files fltk
%python_sitelibdir/matplotlib/backends/backend_fltk*

%files gtk
%python_sitelibdir/matplotlib/backends/backend_gtk*
%python_sitelibdir/matplotlib/backends/backend_gdk*
%python_sitelibdir/matplotlib/backends/*gdk*.so
%python_sitelibdir/matplotlib/backends/_gtk*.so
#%python_sitelibdir/matplotlib/backends/backend_gdk.py*

%files qt
%python_sitelibdir/matplotlib/backends/backend_qt.*
%python_sitelibdir/matplotlib/backends/backend_qtagg*

#%files wx
#%python_sitelibdir/matplotlib/backends/backend_wx*
#%python_sitelibdir/matplotlib/backends/_wx*

# problem with checking?
#%files tk
#%python_sitelibdir/matplotlib/backends/backend_tk*
#%python_sitelibdir/matplotlib/backends/tk*

%files qt4
%python_sitelibdir/matplotlib/backends/backend_qt4*

%files examples
%doc examples/

%changelog
* Sun Feb 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.90.0-alt1
- new version 0.90.0, update buildreq
- enable qt4 backend build
- disable wx backend build (no longer supported by mainstream)

* Mon Dec 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.7-alt1
- add missed backends dir
- move backend_gdk to gtk package
- set gtk backend by default (see mpl-data/matplotlibrc)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.7-alt0.1
- new version 0.87.7
- build with numpy 1.0
- split backends by subpackages
- disable qt4, tk backends

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.2-alt0.2
- fix requires

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 0.87.2-alt0.1
- initial build for ALT Linux Sisyphus
